"""
>>> paste(Path('data/prihlaska.txt'), Path('data/Mrkvicka.txt'))
Jméno a příjmení: Jožko Mrkvička
Datum narození:   29. 2. 2000
Hudební nástroj:  klarinet
Adresa:           Kamenice 5, Brno
Telefon:          987654321
E-mail:           carrot.man@gmail.com

>>> paste(Path('data/prihlaska.txt'), Path('data/Meloun.txt'))
Jméno a příjmení: 
Datum narození:   
Hudební nástroj:  
Adresa:           
Telefon:          
E-mail:           

>>> paste(Path('data/xxx.txt'), Path('data/Mrkvicka.txt'))
Jožko Mrkvička
29. 2. 2000
klarinet
Kamenice 5, Brno
987654321
carrot.man@gmail.com

>>> paste(Path('data/xxx.txt'), Path('data/yyy.txt'))

"""


from pathlib import Path


def paste(file1: Path, file2: Path) -> None:
    if file1.is_file() and file2.is_file():
        with open(file1, encoding='utf8') as r1:
            with open(file2, encoding='utf8') as r2:
                for line1, line2 in zip(r1, r2):
                    print(line1.strip('\n'), line2.strip('\n'), sep='')
    elif file1.is_file():
        print(file1.read_text(encoding='utf8'), end='')
    elif file2.is_file():
        print(file2.read_text(encoding='utf8'), end='')
    else:
        pass
